
Name:           libuldaq
Version:        1.2.1
Release:        1%{?dist}
Summary:        MCC Universal Library for Linux

License:        MIT
URL:            https://github.com/mccdaq/uldaq

Source0:        %{name}-%{version}.tar.bz2

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  autoconf >= 2.50
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  sed
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	libusbx-devel
BuildRequires:  doxygen


%description
A library to access and control supported Measurement Computing DAQ devices over the Linux and macOS platforms.

%prep
%setup
sed -i -e "s@udevadm@false@" Makefile.am
sed -i -e "s@ldconfig@true@" Makefile.am
sed -i '/rulesdatadir/c\rulesdatadir=%{_udevrulesdir}' Makefile.am

%build
autoreconf -vif
%configure --disable-static
%make_build

# pushd doc
# doxygen Doxyfile
# popd # %%{name}-%version

%install
rm -rf $RPM_BUILD_ROOT

# userspace
%make_install

# Post-install stuff

# systemd stuff
%post
%{?ldconfig}

udevadm control --reload-rules > /dev/null 2>&1 || :

%postun 
%{?ldconfig}

%files
%defattr(644,root,root,755)

%_udevrulesdir/*.rules
%_libdir/*
%_docdir/%name/
%_includedir/uldaq.h


%changelog
* Thu Aug 3 2023 George
- Initial release


